### Function

# Gimp ProgressVtableStartFunc

#### Declaration

    void
    (* GimpProgressVtableStartFunc) (
      const gchar* message,
      gboolean cancelable,
      gpointer user_data
    )

#### Description [src]

Starts the progress.

#### Parameters

`message`

  Type: `const gchar*`

  The message to show.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`cancelable`

  Type: `gboolean`

  Whether the procedure is cancelable.

`user_data`

  Type: `gpointer`

  User data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.